@media (max-width: 1200px) {
  .blogs-grid {
    grid-template-columns: repeat(3, 1fr);
  }
}

@media only screen and (max-width:1025px) {
    .our-service-head {
        margin-bottom: 80px;
    }

    .our-service {
        padding: 80px 0px;
    }

    .service-dot span svg {
        width: 35px;
    }

    .custom-dots {
        gap: 14px;
    }

    .service-dot {
        width: 75px;
        height: 75px;
    }

    .circle-progress {
        transform: scale(0.90);
    }

    .progress-container {
        transform: translate(0px, -9px);
    }

    .service-slider-content {
        max-width: 460px;
    }
}

@media only screen and (max-width:991px) {
    .service-slider-content {
        max-width: 362px;
    }

    .our-service-head-left h2,
    .our-service-head-left h2 span {
        font-size: 32px;
        line-height: 38px;
    }

    .service-slider-content h4,
    .service-slider-content h4 span {
        font-size: 28px;
        line-height: 42px;
    }

    .service-slider-content p {
        margin-top: 14px;
        font-size: 14px;
    }

    .slider-read-more {
        margin-top: 24px;
    }

    .our-service-item {
        padding: 50px 35px;
    }

    .slider-read-more a {
        padding: 13px 32px;
        font-size: 14px;
    }

    .service-dot span svg {
        width: 30px;
    }

    .service-dot {
        width: 60px;
        height: 60px;
    }

    svg.progress-circle {
        width: 75px;
        height: 75px;
    }

    .circle-progress {
        transform: scale(0.70);
    }

    .custom-dots {
        top: -38px;
        left: 45px;
        gap: 12px;
    }

    .progress-container {
        transform: translate(2px, -11px);
    }

}

@media (max-width: 1024px) {
    .desktop-header {
        display: none;
    }

    .services-grid {
        grid-template-columns: repeat(2, 1fr);
    }

    .mobile-header {
        display: block;
    }

    .site-header {
        padding: 12px 0px;
    }

    .mobile-header-container {
        padding: 0 10px !important;
    }

    nav#mobileMenu {
        margin-top: 10px;
        padding: 0 10px;
    }

    .team-img-professional {
        height: 260px;
    }

    .site-header {
        max-width: 100%;
        top: 0;
        /*height: 100dvh;*/
        border-radius: unset;
    }

    .hero-all-content {
        flex-direction: column;
    }

    .hero-text {
        max-width: 100%;
        margin-top: 300px;
    }

    .hero-image {
        max-width: 80%;
        margin: 0 auto;
    }
.who-head {
    margin-bottom: 40px;
}
    .growth-card {
        padding: 15px;
    }

    .step-card {
        max-width: 350px;
    }
    .benefits-grid {
        grid-template-columns: repeat(2, 1fr);
    }
    .footer-main {
        gap: 40px;
    }
 .included-layout {
        grid-template-columns: 1fr;
        gap: 60px;
    }

    .included-stats {
        gap: 30px;
    }
    .faq-layout {
        grid-template-columns: 1fr;
        gap: 30px;
    }
}

@media (max-width: 992px) {

    .process-step,
    .process-step.right,
    .process-step.left {
        flex-direction: column;
        text-align: center;
    }
   .service-overview-grid {
        grid-template-columns: 1fr;
        gap: 40px;
    }

    .service-overview-image {
        order: -1;
    }
.blog-intro-grid {
        grid-template-columns: 1fr;
    }

    .blog-intro {
        padding: 60px 0;
    }
    .service-overview p {
        max-width: 100%;
    }
    .step-card {
        margin: 20px 0 0 0 !important;
    }

    .mv-grid {
        gap: 35px;
    }
 .servicedet-faq .faq-layout {
        grid-template-columns: 1fr;
	 gap:30px;
    }
    .process-staggered::before {
        left: 35px;
        top: 0;
        width: 4px;
        height: 100%;
    }
}

/* Responsive */
@media (max-width: 900px) {
    .intro-grid {
        grid-template-columns: 1fr;
        text-align: center;
    }

    .contact-grid {
        grid-template-columns: 1fr;
        gap: 60px;
    }
.blog-intro-image img {
    margin-top: 70px;
    height: 350px;
}
    .footer-main {
        grid-template-columns: 1fr 1fr;
    }

    .container .box {
        width: 300px;
    }

    .who-layout {
        grid-template-columns: 1fr;
        gap: 50px;
    }

    .who-secondary {
        padding-left: 22px;
    }

    .contact-form-wrapper {
        padding: 40px 30px;
    }

    .intro-visual {
        grid-template-columns: 1fr 1fr 1fr;
        margin-top: 40px;
    }

    .services-grid {
        grid-template-columns: 1fr;
    }

    .growth-content {
        grid-template-columns: 1fr;
        gap: 60px;
    }

    .growth-right {
        grid-template-columns: 1fr;
    }
}


@media (max-width: 768px) {
    .hero-text h1 {
        font-size: 2rem;
    }

    .hero-text p {
        font-size: 0.95rem;
    }

    .mv-grid {
        grid-template-columns: 1fr;
    }

    .mv-card {
        padding: 40px;
    }
.blogs-grid {
    grid-template-columns: 1fr;
  }
    .our-service-slider-main {
        flex-direction: column;
        row-gap: 24px;
    }

    .visual-box img {
        height: 70px;
        width: 70px;
    }

    .project-col {
        width: 100%;
    }

    .faq-all-content-wrap {
        flex-direction: column;
    }

    .hero-text {
        margin-top: 200px;
    }

    .faq-head,
    .faq-wrapper {
        max-width: 100%;
    }

    .container .box {
        width: 280px;
    }

    .project-card {
        width: 100%;
    }

    .service-slider-img img {
        height: auto;
    }

    .project-hover span {
        font-size: 12vw;
    }

    .contact-cta-section {
        overflow-x: hidden;
    }

    .process-step {
        position: relative;
        z-index: 1;
    }

    .project-hover-text h2 {
        font-size: 12vw;
    }

    .process-staggered::before {
        display: none;
    }

    .our-service-item {
        padding: 50px 35px 0 35px;
    }

    .our-service-head-left p {
        font-size: 14px;
        margin-top: 16px;
        line-height: 22px;
    }

    .our-service-head-left h2,
    .our-service-head-left h2 span {
        font-size: 28px;
        line-height: 35px;
    }

    .service-slider-content h4,
    .service-slider-content h4 span {
        font-size: 24px;
        line-height: 28px;
    }

    .trusted-heading {
        margin-bottom: 32px;
    }

    .service-slider-img {
        max-width: 100%;
        width: 100%;
    }

    .metrics-grid {
        grid-template-columns: 1fr 1fr;
    }

    .service-slider-content {
        max-width: 100%;
        padding-right: 0px;
    }

    .our-service-head {
        margin-bottom: 60px;
    }
.service-hero{
    padding-top: 0;
}
    .our-service {
        padding: 70px 0px;
    }

    .our-service-head {
        flex-direction: column;
        row-gap: 24px;
    }

    .our-service-head-left {
        max-width: 100%;
    }

    /* Subtext */
    .hero-subtext {
        width: 80%;
    }

    .our-service-head {
        margin-bottom: 50px;
    }

    .service-slider-content p {
        line-height: 21px;
    }

    .team-head-professional,
    .impact-head {
        margin-bottom: 40px;
    }

    .team-section-professional {
        padding: 60px 15px;
    }

    .team-card-professional:hover {
        transform: translateY(-10px) scale(1.03);
    }

    .ceo-card .team-img-professional {
        height: 300px;
    }

    .owl-item {
        padding: 0;
    }
     .tabs-header {
        overflow-x: auto;
        overflow-y: hidden;
        white-space: nowrap;

        scroll-behavior: smooth;
        -webkit-overflow-scrolling: touch;

        padding: 10px 12px;
        border-radius: 18px;
    }

    /* Hide scrollbar (all browsers) */
    .tabs-header::-webkit-scrollbar {
        display: none;
    }

    .tabs-header {
        scrollbar-width: none; /* Firefox */
    }

    .tab-btn {
        flex: 0 0 auto;
        min-width: 150px;
        padding: 14px 18px;
        text-align: center;
    }

    /* Indicator becomes fixed-width */
    .tab-indicator {
        width: 170px;
    }
}

@media only screen and (max-width:580px) {
    h1 {
        font-size: 28px !important;
    }

    h2 {
        font-size: 24px !important;
    }

    h3 {
        font-size: 20px
    }

    .mv-card {
        padding: 30px;
    }
   .benefits-header {
        margin-bottom: 40px;
    }
  .included-row {
        gap: 18px;
    }

    .row-content p {
        max-width: 100%;
    }
    .benefits-grid {
        grid-template-columns: 1fr;
    }

    .benefit-card {
        padding: 30px 24px;
    }
    svg.progress-circle {
        width: 60px;
        height: 60px;
    }
    .hero-text {
        margin-top: 150px;
    }
    .visual-box {
        padding: 10px;
    }
.btn-gradient,.btn-outline{
    width: 100%;
}
    .intro-grid {
        gap: 40px;
    }

    .intro-visual {
        margin-top: 0;
        gap: 10px;
    }

    h4 {
        font-size: 18px;
    }

    .container .box {
        height: 360px;
    }

    .mobile-header .container {
        padding: 0;
    }

    .faq-question {
        padding: 15px;
    }
.blog-intro-image img {
    height: 250px;
}
    .services-grid {
        grid-template-columns: 1fr;
    }

    .img-placeholder img {
        height: 250px;
    }

    .faq-answer p {
        padding: 0 15px 15px;
    }

    .services-header {
        margin-bottom: 0;
    }

    .container .box .content {
        padding: 20px;
    }

    .hero-cta.flx.align-center.gap-15 {
        flex-direction: column;
        gap: 20px;
    }

    .hero-cta a {
        width: 100%;
    }

    .metrics-grid {
        grid-template-columns: 1fr;
    }

    .footer-main {
        grid-template-columns: 1fr;
    }

    .hajelix-footer {
        padding: 100px 0 40px;
    }

    .our-service-btn {
        width: 35px;
        height: 35px;
    }

    .faq-question {
        gap: 10px;
    }

    .hajelix-footer {
        padding: 60px 0 40px;
    }

    .faq-icon {
        min-width: 20px;
    }

    .sec-space {
        padding: 40px 0;
    }

    .footer-cta-box {
        margin-bottom: 40px;
    }

    .our-process .section-header {
        margin-bottom: 40px;
    }

    .team-row {
        gap: 25px;
    }

    .team-img-professional {
        height: 220px;
    }

    .progress-container {
        top: -2px;
        left: -3px;
    }

    .services-hero-actions {
        flex-direction: column;
        align-items: flex-start;
    }
.about-banner{
    padding-top: 100px;
}
    .btn-outline {
        margin-left: 0;
    }

    .growth-card {
        padding: 15px;
    }

    .service-dot-inner img {
        height: 30px;
        width: 30px;
    }

    .hero-sec {
        height: auto;
        min-height: 100dvh;
    }

    .services-hero-actions a {
        width: 100%;
    }

    .top-header {
        flex-direction: column;
        align-items: flex-start;
    }

    .services-grid {
        margin-top: 30px;
    }

    .growth-head {
        margin-bottom: 40px;
    }

    .growth-btn {
        padding: 18px;
    }

    .footer-heading {
        width: 100%;
    }

    .projects-fluid-main {
        margin: 40px auto 0;
    }

    .our-service-btn span svg {
        width: 14px;
        height: 14px;
    }

    .our-service-item {
        padding: 40px 25px;
    }

    .service-dot {
        width: 50px;
        height: 50px;
    }

    .service-dot span svg {
        width: 23px;
        height: 23px;
    }

    .custom-dots {
        top: -32px;
        left: 33px;
        gap: 8px;
    }

    .circle-progress {
        transform: scale(0.63);
    }

    .progress-container {
        transform: translate(-1px, -4px);
    }

    .our-service-head-left h2 {
        margin-top: 14px;
    }

    .our-service-head {
        row-gap: 10px;
    }
}


@media only screen and (max-width:480px) {
    .service-dot {
        width: 40px;
        height: 40px;
    }

    svg.progress-circle {
        width: 45px;
        height: 45px;
    }

    .service-dot span svg {
        width: 18px;
        height: 18px;
    }

    .circle-progress {
        transform: scale(0.5);
    }

    .progress-container {
        transform: translate(1px, 0px);
    }

    .custom-dots {
        top: -23px;
        left: 28px;
    }

    .our-service-head-left h2,
    .our-service-head-left h2 span {
        font-size: 25px;
        line-height: 32px;
    }

    .our-service-head {
        margin-bottom: 30px;
    }

    .service-slider-content h4,
    .service-slider-content h4 span {
        font-size: 22px;
        line-height: 25px;
    }

    .slider-read-more a {
        padding: 10px 24px;
        font-size: 13px;
    }
}